from abc import ABC, abstractmethod
from typing import List

class FlyingTransport(ABC):
    @abstractmethod
    def fly(self, origin, destination, passengers):
        pass # Abstract Method has no implementation!

# Non-Abstract Class
class Helicopter(FlyingTransport):
    def fly(self, origin, destination, passengers):
        print("Helicopter flying")

# Non-Abstract Class
class Airplane(FlyingTransport):
    def fly(self, origin, destination, passengers):
        print("Airplane flying")

# Could make use of typ hing List[FlyingTransport]
flying_vehicles: List[FlyingTransport] = [Airplane(), Helicopter()]
for vehicle in flying_vehicles:
    vehicle.fly("INN", "BER", 5)

#> Airplane flying
#> Helicopter flying